Gecode::Support::StaticStack< T, A > Class Template Reference
Common functionality » Support algorithms and datastructures

Stack with fixed number of elements. More...

`#include <static-stack.hpp>`

## Public Member Functions

| StaticStack (A &a, int n)
| Initialize for n elements.
| ~StaticStack (void)
| Release memory.
void | reset (void)
| Reset stack (pop all elements).
bool | empty (void) const
| Test whether stack is empty.
int | entries (void) const
| Return number of entries currently on stack.
T | pop (void)
| Pop topmost element from stack and return it.
T & | top (void) const
| Return element on top of stack.
T & | last (void) const
| Return element that has just been popped.
void | push (const T &x)
| Push element x on top of stack.

## Detailed Description

template<class T, class A>
class Gecode::Support::StaticStack< T, A >

Stack with fixed number of elements.

Definition at line 42 of file static-stack.hpp.

## Constructor & Destructor Documentation

## StaticStack()

template<class T, class A>

Gecode::Support::StaticStack< T, A >::StaticStack | ( | A & | a,
|  | int | n )

inline

Initialize for n elements.

Definition at line 87 of file static-stack.hpp.

## ~StaticStack()

template<class T, class A>

Gecode::Support::StaticStack< T, A >::~StaticStack | ( | void |  | ) |

inline

Release memory.

Definition at line 92 of file static-stack.hpp.

## Member Function Documentation

## reset()

template<class T, class A>

void Gecode::Support::StaticStack< T, A >::reset | ( | void |  | ) |

inline

Reset stack (pop all elements).

Definition at line 110 of file static-stack.hpp.

## empty()

template<class T, class A>

bool Gecode::Support::StaticStack< T, A >::empty | ( | void |  | ) | const

inline

Test whether stack is empty.

Definition at line 98 of file static-stack.hpp.

## entries()

template<class T, class A>

int Gecode::Support::StaticStack< T, A >::entries | ( | void |  | ) | const

inline

Return number of entries currently on stack.

Definition at line 104 of file static-stack.hpp.

## pop()

template<class T, class A>

T Gecode::Support::StaticStack< T, A >::pop | ( | void |  | ) |

inline

Pop topmost element from stack and return it.

Definition at line 116 of file static-stack.hpp.

## top()

template<class T, class A>

T & Gecode::Support::StaticStack< T, A >::top | ( | void |  | ) | const

inline

Return element on top of stack.

Definition at line 123 of file static-stack.hpp.

## last()

template<class T, class A>

T & Gecode::Support::StaticStack< T, A >::last | ( | void |  | ) | const

inline

Return element that has just been popped.

Definition at line 130 of file static-stack.hpp.

## push()

template<class T, class A>

void Gecode::Support::StaticStack< T, A >::push | ( | const T & | x | ) |

inline

Push element x on top of stack.

Definition at line 137 of file static-stack.hpp.

The documentation for this class was generated from the following file:

- gecode/support/static-stack.hpp